{
    "class": "Workflow",
    "label": "Hello World",
    "doc": "Outputs a message using echo",
    "inputs": [
        {
            "type": "string",
            "id": "#main/usermessage"
        }
    ],
    "steps": [
        {
            "run": {
                "class": "CommandLineTool",
                "inputs": [
                    {
                        "type": "string",
                        "doc": "The message to print",
                        "default": "Hello World",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/step0/65963e4b-9267-4d79-ae59-74b571727daa/message"
                    }
                ],
                "baseCommand": "echo",
                "arguments": [
                    "-n",
                    "-e"
                ],
                "stdout": "response.txt",
                "outputs": [
                    {
                        "type": "File",
                        "id": "#main/step0/65963e4b-9267-4d79-ae59-74b571727daa/response",
                        "outputBinding": {
                            "glob": "response.txt"
                        }
                    }
                ],
                "id": "#main/step0/65963e4b-9267-4d79-ae59-74b571727daa"
            },
            "in": [
                {
                    "source": "#main/usermessage",
                    "id": "#main/step0/message"
                }
            ],
            "out": [
                "#main/step0/response"
            ],
            "id": "#main/step0"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "outputSource": "#main/step0/response",
            "type": "File",
            "id": "#main/response"
        }
    ],
    "cwlVersion": "v1.0"
}
